#include "__SMTP_HELO.h"
#include "SMTPServer.h"

namespace mail {
   
   int __SMTP_HELO::processCommand(coreutils::ZString &request, core::TCPSession &session) {
      SMTPSession &s = dynamic_cast<SMTPSession &>(session);
      s.clientName = request[1].str();
      s.out << "250 " << server.hostName << CRLF;
      s.state = READY;
      return 1;
   }
   
}

